<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>File List</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">File List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all documented files with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span><span onclick="javascript:toggleLevel(5);">5</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_c9839ac9bd42e86e6159886378237831.html" target="_self">alg</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span id="img_0_0_" class="iconfopen" onclick="toggleFolder('0_0_')">&#160;</span><a class="el" href="dir_5f5b3a6c6f9ee84cdf9c273ccf43003e.html" target="_self">mmwavelib</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_0_" class="arrow" onclick="toggleFolder('0_0_0_')">&#9660;</span><span id="img_0_0_0_" class="iconfopen" onclick="toggleFolder('0_0_0_')">&#160;</span><a class="el" href="dir_03191f9e4f0ddf5b0393e4b6fe0d3f61.html" target="_self">include</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__c674__emulate__c66__intrinsics_8h.html" target="_self">mmwavelib_c674_emulate_c66_intrinsics.h</a></td><td class="desc">Header file contains inline functions for C674x used in MMWAVELIB, these functions implement TI compiler intrinsics which are for C66x only </td></tr>
<tr id="row_0_0_0_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__cplx__types_8h.html" target="_self">mmwavelib_cplx_types.h</a></td><td class="desc">Header file contains several structures for complex values, used in MMWAVELIB </td></tr>
<tr id="row_0_0_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_1_" class="arrow" onclick="toggleFolder('0_0_1_')">&#9660;</span><span id="img_0_0_1_" class="iconfopen" onclick="toggleFolder('0_0_1_')">&#160;</span><a class="el" href="dir_9fa96890f77570b05e4519e45129846b.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_0_0_1_0_" class="arrow" onclick="toggleFolder('0_0_1_0_')">&#9660;</span><span id="img_0_0_1_0_" class="iconfopen" onclick="toggleFolder('0_0_1_0_')">&#160;</span><a class="el" href="dir_540762ed6bc5118c405fb5185792d549.html" target="_self">detection</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_0_0_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__aoaest__float_8c.html" target="_self">mmwavelib_aoaest_float.c</a></td><td class="desc">This file contains routines related to AOA estimation using beamforming method </td></tr>
<tr id="row_0_0_1_0_1_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__aoaest__float_8h.html" target="_self">mmwavelib_aoaest_float.h</a></td><td class="desc">Header file for floating point AOA estimation mmwavelib routines </td></tr>
<tr id="row_0_0_1_0_2_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__cfarca_8c.html" target="_self">mmwavelib_cfarca.c</a></td><td class="desc">This file contains routines related to CFAR-CA (cell averaging) processing </td></tr>
<tr id="row_0_0_1_0_3_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__cfarca__sogo_8c.html" target="_self">mmwavelib_cfarca_sogo.c</a></td><td class="desc">This file contains routine supporting CFAR CA, CASO, CAGO </td></tr>
<tr id="row_0_0_1_0_4_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__cfarcaall__float_8c.html" target="_self">mmwavelib_cfarcaall_float.c</a></td><td class="desc">This file contains routines related to CFAR CA(cell average), CACC (cell accumulation) SO, GO peak detection processing, using floating-point signal power as input signal </td></tr>
<tr id="row_0_0_1_0_5_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__cfaros_8c.html" target="_self">mmwavelib_cfaros.c</a></td><td class="desc">This file contains routines for OS(Ordered Statistics) CFAR detection </td></tr>
<tr id="row_0_0_1_0_6_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__clustering_8c.html" target="_self">mmwavelib_clustering.c</a></td><td class="desc">This file contains routines related to clustering using DBSCAN algorithm </td></tr>
<tr id="row_0_0_1_0_7_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__clustering_8h.html" target="_self">mmwavelib_clustering.h</a></td><td class="desc">Header file for DBscan clustering mmwavelib routines </td></tr>
<tr id="row_0_0_1_0_8_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__detection_8h.html" target="_self">mmwavelib_detection.h</a></td><td class="desc">Header file for mmwavelib routines related to detection </td></tr>
<tr id="row_0_0_1_0_9_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__detection__float_8h.html" target="_self">mmwavelib_detection_float.h</a></td><td class="desc">Header file for floating point detection mmwavelib routines </td></tr>
<tr id="row_0_0_1_0_10_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__log2abs_8c.html" target="_self">mmwavelib_log2abs.c</a></td><td class="desc">This file contains routines for finding the log2 of absolute value of complex numbers </td></tr>
<tr id="row_0_0_1_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_0_0_1_1_" class="arrow" onclick="toggleFolder('0_0_1_1_')">&#9660;</span><span id="img_0_0_1_1_" class="iconfopen" onclick="toggleFolder('0_0_1_1_')">&#160;</span><a class="el" href="dir_23ffccf3c608a84aff4e8a4d3de2ea11.html" target="_self">fft</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_1_0_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__dftsinglebin_8c.html" target="_self">mmwavelib_dftsinglebin.c</a></td><td class="desc">Routine to compute single bin DFT </td></tr>
<tr id="row_0_0_1_1_1_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__fft_8h.html" target="_self">mmwavelib_fft.h</a></td><td class="desc">Header file for FFT utility routines </td></tr>
<tr id="row_0_0_1_1_2_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__fft16pt_8c.html" target="_self">mmwavelib_fft16pt.c</a></td><td class="desc">Routine to compute 16pt FFT of a vector of length 8 (assumed to be zero-padded to length 16) </td></tr>
<tr id="row_0_0_1_1_3_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__fft__float_8h.html" target="_self">mmwavelib_fft_float.h</a></td><td class="desc">Header file for floating point FFT utility routines </td></tr>
<tr id="row_0_0_1_1_4_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__windowing_8c.html" target="_self">mmwavelib_windowing.c</a></td><td class="desc">Contains functions related to windowing of data (typically prior to an FFT) </td></tr>
<tr id="row_0_0_1_1_5_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__windowing__float_8c.html" target="_self">mmwavelib_windowing_float.c</a></td><td class="desc">Contains functions related to windowing of data (typically prior to an FFT) </td></tr>
<tr id="row_0_0_1_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_0_0_1_2_" class="arrow" onclick="toggleFolder('0_0_1_2_')">&#9660;</span><span id="img_0_0_1_2_" class="iconfopen" onclick="toggleFolder('0_0_1_2_')">&#160;</span><a class="el" href="dir_b3ef34606b33680a8488a597966dd609.html" target="_self">vecutils</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_2_0_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__histogram_8c.html" target="_self">mmwavelib_histogram.c</a></td><td class="desc">Routine to calculate histogram </td></tr>
<tr id="row_0_0_1_2_1_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__maxpow_8c.html" target="_self">mmwavelib_maxpow.c</a></td><td class="desc">Routine to find from complex vector the element with max power </td></tr>
<tr id="row_0_0_1_2_2_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__miscutils_8c.html" target="_self">mmwavelib_miscutils.c</a></td><td class="desc">Misc. routines for vector arithmetic </td></tr>
<tr id="row_0_0_1_2_3_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__poweracc__float_8c.html" target="_self">mmwavelib_poweracc_float.c</a></td><td class="desc">Routines for floating point signal power accumulation </td></tr>
<tr id="row_0_0_1_2_4_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__poweracc__float_8h.html" target="_self">mmwavelib_poweracc_float.h</a></td><td class="desc">Header file for floating point power accumulation routines </td></tr>
<tr id="row_0_0_1_2_5_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__shift_8c.html" target="_self">mmwavelib_shift.c</a></td><td class="desc">Routine to right-shift vector elements </td></tr>
<tr id="row_0_0_1_2_6_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__vecmul_8c.html" target="_self">mmwavelib_vecmul.c</a></td><td class="desc">Routines to multiply(element-wise) complex vectors </td></tr>
<tr id="row_0_0_1_2_7_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__vecsubc_8c.html" target="_self">mmwavelib_vecsubc.c</a></td><td class="desc">Routin to subtract const from vector </td></tr>
<tr id="row_0_0_1_2_8_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__vecsum_8c.html" target="_self">mmwavelib_vecsum.c</a></td><td class="desc">Routine to sum vector elements </td></tr>
<tr id="row_0_0_1_2_9_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__vecsumabs_8c.html" target="_self">mmwavelib_vecsumabs.c</a></td><td class="desc">Routine to sum absolute values of vector elements </td></tr>
<tr id="row_0_0_1_2_10_" class="even"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib__vecutils_8h.html" target="_self">mmwavelib_vecutils.h</a></td><td class="desc">Header file for vector utility mmwavelib library routines </td></tr>
<tr id="row_0_0_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icondoc"></span><a class="el" href="mmwavelib_8h.html" target="_self">mmwavelib.h</a></td><td class="desc">Header file for mmwavelib library routines </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
